BizKitHub
DocsAPI ReferenceCurrency/bff/currency/shop-settings
getCurrencyAdmin BFF

/bff/currency/shop-settings

Currencies the public API can price products / carts / orders in besides the organisation default, with the fixed price-list rate (null = live daily rate), rounding step and today's live rate for reference.

CurrencygetBffCurrencyShop-settings

Parameters

No parameters required

This endpoint takes no path, query, header or body parameters.

Response schema

1 status code documented

200Success
defaultCurrencystringRequired
ExampleCZK
itemsobject[]Required
Each array item:
codestringRequired
ExampleEUR
fixedRatenumber | nullRequired
One of 2:
Variant 1
number

Units of default currency per 1 unit of code. Null = live daily rate.

Example25
Variant 2
null
roundingstringRequired

Rounding step of converted prices incl. VAT.

Example0.1
liveRatenumber | nullRequired
One of 2:
Variant 1
number
Example24.31
Variant 2
null
liveRateDatestring | nullRequired
One of 2:
Variant 1
string
Example2026-11-10
Variant 2
null

Response example

application/json
{
  "defaultCurrency": "CZK",
  "items": [
    {
      "code": "EUR",
      "rounding": "0.1"
    }
  ]
}

Request example

GET /bff/currency/shop-settings

get
curl -X GET "https://api.bizkithub.com/bff/currency/shop-settings" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key